﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace sistema_othenki
{

    public partial class reiting : Page
    {
        public reiting()
        {
            InitializeComponent();
            list.ItemsSource=Podkluchenie.bd.users.ToList();
        }

        //Возврат на главную страницу
        private void glav_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.GoBack();
        }
        //Вывод ФИО сотрудника
        private void fio_Loaded(object sender, RoutedEventArgs e)
        {
            TextBlock tb = (TextBlock)sender;
            int idd = Convert.ToInt32(tb.Uid);
            users u = Podkluchenie.bd.users.FirstOrDefault(x=>x.id == idd);
            tb.Text = u.surname + " " + u.firstname + " " + u.patronymic;
        }

        //Подсчет общего балла
        private void oball_Loaded(object sender, RoutedEventArgs e)
        {
            TextBlock tb = (TextBlock)sender;
            int iduser = Convert.ToInt32(tb.Uid);
            List<usersmetrics> stv = Podkluchenie.bd.usersmetrics.Where(x => x.id_user == iduser).ToList();
            double summa = 0;
            for (int i = 0; i < stv.Count; i++)
            {
                summa = summa + Convert.ToDouble(stv[i].coefficient);
            }
            tb.Text = summa.ToString();
        }
    }
}
