﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace sistema_othenki
{

    public partial class glavnaya : Page
    {
  
        //Действия при входе обычного пользователя
        public glavnaya(int iduser)
        {
            InitializeComponent();
            users u = Podkluchenie.bd.users.FirstOrDefault(x=>x.id== iduser);
            fio.Text = u.surname + " " + u.firstname + " " + u.patronymic;
            dolgnost.Text = u.posts.title;
            List<usersmetrics> stv =Podkluchenie.bd.usersmetrics.Where(x=>x.id_user==iduser).ToList();
            list.ItemsSource = stv;
           double summa = 0;
            for(int i=0; i<stv.Count; i++)
            {
                summa = summa+ Convert.ToDouble(stv[i].coefficient);
            }
            ito_ball.Text=summa.ToString();

        }
        //Действия при входе администратора
        public glavnaya(int iduser, int rol)
        {
            InitializeComponent();
            users u = Podkluchenie.bd.users.FirstOrDefault(x => x.id == iduser);
            fio.Text = u.surname + " " + u.firstname + " " + u.patronymic;
            dolgnost.Text = u.posts.title;
            List<usersmetrics> stv = Podkluchenie.bd.usersmetrics.Where(x => x.id_user == iduser).ToList();
            list.ItemsSource = stv;
            double summa = 0;
            for (int i = 0; i < stv.Count; i++)
            {
                summa = summa + Convert.ToDouble(stv[i].coefficient);
            }
            ito_ball.Text = summa.ToString();
            reyt.Visibility = Visibility.Visible;
            cb.Visibility = Visibility.Visible;
            List <users> str = Podkluchenie.bd.users.Where(x=>x.posts.id_role==2).ToList();
            cb.Items.Add("Выбрать сотрудника");
            cb.SelectedIndex = 0;
            for(int i = 0; i < str.Count;i++)
            {
                cb.Items.Add((str[i].surname +" "+ str[i].firstname +" "+ str[i].patronymic).ToString());
            }
            pros.Visibility=Visibility.Visible;

        }

        private void vihod_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.GoBack();
            
        }

        private void reyt_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new reiting());
            
        }
        //Показ данных другого сотрудника
        private void pros_Click(object sender, RoutedEventArgs e)
        {
            int iduser = 0;
            string[]str = cb.Text.Split(' ');
            string str2 = str[0];
            str2 = str2.TrimEnd();
            users us = Podkluchenie.bd.users.FirstOrDefault(x => x.surname == str2);
          
            if(cb.SelectedIndex != 0)
            
            {
                iduser = us.id;
                users u = Podkluchenie.bd.users.FirstOrDefault(x => x.id == iduser);
                fio.Text = u.surname + " " + u.firstname + " " + u.patronymic;
                dolgnost.Text = u.posts.title;
                List<usersmetrics> stv = Podkluchenie.bd.usersmetrics.Where(x => x.id_user == iduser).ToList();
                list.ItemsSource = stv;
                double summa = 0;
                for (int i = 0; i < stv.Count; i++)
                {
                    summa = summa + Convert.ToDouble(stv[i].coefficient);
                }
                ito_ball.Text = summa.ToString();
            }
           
            

        }
    }
}
